Smart Fehlermeldung nach Update

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
tompart
Newbie
Newbie
Beiträge: 1
Registriert: 7. Aug 2006, 09:38

Smart Fehlermeldung nach Update

Beitrag von tompart » 7. Aug 2006, 09:57

Hallo,
nachdem ich mit Smart mehrere Pakete upgedatet habe, erhalte ich eine Fehlermeldung wenn ich Smart auf der Konsole aufrufe. Ein Start von Smart GUI ist ueberhaupt nicht mehr möglich. Die Fehlermeldung bezieht sich vermutlich auf ein Update des Pakets Pyhton 2.4.
Ich bin leider noch zu unerfahren in Linux um selbststaendig den Fehler zu lösen. Wer kann mir helfen?
Hier die Fehlernachricht:
toto:/home/Tom # smart
Traceback (most recent call last):
File "/usr/bin/smart", line 27, in ?
from smart import init, initDistro, initPlugins, initPsyco
File "/usr/lib/python2.4/site-packages/smart/__init__.py", line 55, in ?
encoding = locale.getpreferredencoding()
File "/usr/lib/python2.4/locale.py", line 417, in getpreferredencoding
setlocale(LC_CTYPE, "")
File "/usr/lib/python2.4/locale.py", line 381, in setlocale
return _setlocale(category, locale)
locale.Error: unsupported locale setting

Vielleicht weiß jemand von Euch Rat wie ich hier wieder rauskomme. Danke und Gruss tompart

Werbung:
traffic
Guru
Guru
Beiträge: 2750
Registriert: 13. Feb 2005, 05:50

Beitrag von traffic » 7. Aug 2006, 10:38

Code: Alles auswählen

rm -f /var/lib/smart/cache
rm -f /var/lib/smart/channels/*
smart update

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast